# QReadWriteLock Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QReadWriteLock()
- void QReadWriteLock(RecursionMode recursionMode)

### Constructor Properties

- prototype: The QReadWriteLock prototype object
- NonRecursive
- Recursive
- RecursionMode( value )

### Prototype Object Properties

- void lockForRead()
- void lockForWrite()
- bool tryLockForRead()
- bool tryLockForWrite()
- void unlock()

### Instance Properties

QReadWriteLock objects have no special properties beyond those inherited from the QReadWriteLock prototype object.